【よくある質問】Forge環境のみ起動出来ない

フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999

返信する

CAPTCHA 認証コード
表示されたコードを正確に入力してください。各文字は大文字・小文字の区別があります。

BBCode: OFF
スマイリー: OFF
トピックのレビュー
   

ファイルを添付します

展開ビュー トピックのレビュー: 【よくある質問】Forge環境のみ起動出来ない

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by rht0910 » 2015年11月03日(火) 20:46

衣類ドラゴン さんが書きました:現在Java SE 7は一般公開されてないとのことです。
現在はここでダウンロード出来るそうです。

念の為に伝えておきました。


Java7のDLにはOracleへのログインが必要なようです。
一応伝えておきます。

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by 衣類ドラゴン » 2015年10月25日(日) 10:07

現在Java SE 7は一般公開されてないとのことです。
現在はここでダウンロード出来るそうです。

念の為に伝えておきました。

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by ブリアレオス » 2014年12月30日(火) 18:59

Minecraft launcher 1.6.xから通常のJava 8とは別にJava 8のランタイムを持つようになりました。
このランタイムはMinecraft Launcherと同じフォルダに自動ダウンロードされ、削除してもランチャー起動時に再度自動ダウンロードされます。
通常のJava 8をアンインストールしてもこちらのランタイムはアンインストールされない為、アンインストールした筈なのにJava 8で起動してしまう、という状況が発生します。

ProfileのJava Settings > ExecutableでJava 7を指定する事でJava 7でゲームを起動する事が出来ますが、ランチャー自体はこのランタイムで動作します。
その為、セキュリティソフトによってはランチャーがライブラリファイルやリソースファイルをダウンロードする為にこのランタイム内のjava.exe、javaw.exeの通信を許可するように設定する必要があるかもしれません。

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by miyabi » 2014年12月23日(火) 00:42

ゲスト さんが書きました:(標準的な環境だと C:\Program Files\Java\jre7\bin\javaw.exe)を
入力することで、Java 7 Update 71を利用する事が出来ます。

とありますが、同じ要因でマインクラフトが起動しない1.6.4にForgeのみを導入し、このパスを入力したところ
ランチャーから起動すらしませんでした。
また、versionによっては1.8.0_25が必要な物がある(というより、1.6.2/1.7.10/1.8.1はこれで起動する)ので、
複数のversionで遊んでいる場合は迂闊にjavaの排除をするよりは、フルパスを知らべ直して変更したほうが良いかもしれません。

だからあくまで標準的な環境と注意書きをしています。
ここで言う標準的な環境は
・Windows環境
・WindowsのインストールパスがCドライブ
・JREインストール時にパスの変更をしない
・OSのbit数に適合したJREをインストールしている
ですので、それ以外は知りません。
一般の人で上記に適合しないとしたら、そもそもWindows環境で無いか、
64bitのWindowsを使用しているにもかかわらず32bit版のJREしかインストールしていないのではないかと思います。

また、これはトピック名の通りForge環境のみ起動出来ない場合の対処方ですので、
それ以外の条件まで考えた対象法の記載は、混乱を招くだけであり不要と考えます。
そもそもJREの複数バージョンを同時に導入し、正しく管理できている人は、このトピックの記載で混乱することは無いでしょう。

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by ゲスト » 2014年12月23日(火) 00:16

(標準的な環境だと C:\Program Files\Java\jre7\bin\javaw.exe)を
入力することで、Java 7 Update 71を利用する事が出来ます。

とありますが、同じ要因でマインクラフトが起動しない1.6.4にForgeのみを導入し、このパスを入力したところ
ランチャーから起動すらしませんでした。
また、versionによっては1.8.0_25が必要な物がある(というより、1.6.2/1.7.10/1.8.1はこれで起動する)ので、
複数のversionで遊んでいる場合は迂闊にjavaの排除をするよりは、フルパスを知らべ直して変更したほうが良いかもしれません。

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by pana8912 » 2014年11月29日(土) 22:45

やっぱり、過去のバージョンにForgeを入れて遊ぶならJava7を入れておくほうがいいかもしれませんがセキュリティ的にどうかな

Re: 【よくある質問】Forge環境のみ起動出来ない

投稿記事 by 衣類ドラゴン » 2014年11月10日(月) 16:15

横から失礼しますっと

※Java1.8以降へ更新した場合のサーバーでの対処法です。

サーバーは「Edit ProfileからExecutable...」ができないので、MIMEなどサーバーランチャーを使用するとJavaの設定が可能になります。

ソフトを使わない方法としては、batファイルを使います。
batファイルを作ったあと、右クリックで 編集(E) をクリックし、NotePadが開くと思います。そのなかに、
コード: 全て選択
"C:\Program files\Java\<Java 8 Update 20以前のJavaのバージョン>\bin\java.exe" <JVM引数> -jar <稼働させるサーバーの名前>.jar

を入力し、セーブすると稼働するようになります。

※コマンドとしてpathを使えるとの質問があると思いますが、pathを使用すると、その後のJavaコマンドが使用できなくなりますので、使ってません。

【よくある質問】Forge環境のみ起動出来ない

投稿記事 by miyabi » 2014年9月17日(水) 22:52

ここは質問トピックではありません。質問の返信は削除します。

:ply: Q:どのバージョンもバニラ環境は問題無いのに、Forge環境は起動出来ません。

:not: A:Java 8 Update 20以降を使用している場合はそれが原因です。

:cre: Forgeを導入したMinecraftのバージョンが1.7.10の場合
Java 8 Update 20以降でも起動出来るようになった新しいバージョンのForgeが公開されています。
10.13.1.1217以降に更新することで解決出来ます。
ただし、導入したいMODが10.13.1.1217では動かない場合、下記と同じ対応が必要になります。

:cre: Forgeを導入したMinecraftのバージョンが1.7.2以下の場合
Java 8 Update 20以降をアンインストールし、Java 8 Update 11以前を入れ直すか、
Java 7 Update 71をインストールし、そちらを利用するようにして下さい。

Java 8 Update 20以降をアンインストールしないまま、Java 7 Update 71をインストールした場合、
デフォルトのJava環境が、Java 8 Update 20以降のままになることもあります。
その場合はJava 8 Update 20以降をアンインストールするか、
ランチャーを起動した後、Edit ProfileからExecutableにチェックを入れ、
隣のテキスト入力欄に、Java 7 Update 71のjavaw.exeのフルパス(標準的な環境だと C:\Program Files\Java\jre7\bin\javaw.exe)を
入力することで、Java 7 Update 71を利用する事が出来ます。

上記の説明がよく分からないのなら、現在インストール済みのJavaを全てアンインストールし、
Java 7 Update 71のみインストールすることをオススメします。

:gaf: Windows環境でMinecraft.msiからMinecraftをインストールしている場合
Windows環境かつ、Minecraft.msiからランチャーをインストールした環境では、
JRE8をインストールした事が無くても、標準でJRE8 Update 25(2015/01/18現在)が付随してきます。
この場合アンインストールすることは出来ませんので、JRE7のjavaw.exeを手動で指定することが必須条件になります。

ページトップ

x